"use strict";
cc._RF.push(module, '3a8fbqYNVBAGJ0U9PqlSEjo', 'main');
// js/main.js

"use strict";

cc.Class({
    extends: cc.Component,

    properties: {
        m_bullet: cc.Prefab,
        m_button: cc.Node
    },

    ctor: function ctor() {
        this.array = new Array();
        this.bulletList = new Array();
    },
    start: function start() {},


    /**
    * 创建子弹预制体
    */
    createBulletNode: function createBulletNode() {
        var enemy = null;
        enemy = cc.instantiate(this.m_bullet);
        enemy.parent = this.node;
        return enemy;
    },
    shotBullet: function shotBullet() {
        var bulletNode = this.createBulletNode();
        var beginPos = this.m_button.getPosition(); //起始位置
        bulletNode.setPosition(beginPos);
        //接下来的逻辑在bullet.js里
    }
}

// update (dt) {},
);

cc._RF.pop();